Index: trunk/plugins/TakeATour/language/fr_FR/plugin.lang.php
===================================================================
--- trunk/plugins/TakeATour/language/fr_FR/plugin.lang.php	(revision 28226)
+++ trunk/plugins/TakeATour/language/fr_FR/plugin.lang.php	(revision 28228)
@@ -32,2 +32,22 @@
 $lang['first_contact_stp2'] = 'Le lien est ici. Cliquez sur Suivant pour continuer';
 $lang['first_contact_stp11'] = 'Vous pouvez sélectionner ici une ou plusieurs photos';
+$lang['first_contact_stp24'] = 'Sans aucun doute, la plus importante des pages est celle des permissions d\'un album privé. Cliquez sur l\'onglet Permissions ou cliquez sur Suivant';
+$lang['first_contact_stp23'] = 'Verrouiller un album signifie que seuls les administrateurs pourront afficher cet album. Cela est habituellement utilisé quand un administrateur modifie les propriétés d\'un album ou ne veut pas publier immédiatement l\'album';
+$lang['first_contact_stp21'] = 'L\'onglet suivant est une page où vous pouvez déplacer n\'importe quel album virtuel.<br />L\'onglet permalien est utilisé pour écrire une URL spécifique pour un album, pour des raisons techniques comme un template particulier ou juste pour envoyer des liens  customisés trop cool. <br/> Mais allons éditer un album : cliquez sur le lien Éditer d\'un album';
+$lang['first_contact_stp20'] = 'Lorsque votre souris survole un album, les liens et informations apparaissent. Quand vous glissez/déposez un album (un block arrondi), vous changez sa position. Vous pouvez enregistrer ou annuler cet ordre d\'affichage manuel.';
+$lang['first_contact_stp19_b'] = 'Tous les albums sont appelés \'Albums virtuels\'. Ici sont listés tous les \'Top\' albums, ceux à la racine de votre galerie.';
+$lang['first_contact_stp19'] = 'Ici sont listés tous les \'Top\' albums, ceux à la racine de votre galerie. Si vous voyez un album avec un fond en pointillés, c\'est un véritable album physique créé depuis une synchronisation FTP qui ne peut être déplacé ou supprimé ici. Les autres albums sont appelés albums virtuels.';
+$lang['first_contact_stp29'] = 'Sur cette première page, vous renseignerez l\'essentiel de la configuration de base de votre galerie.';
+$lang['first_contact_stp30'] = 'Commençons par changer le titre';
+$lang['first_contact_stp32'] = 'Maintenant, enregistrez vos modifications';
+$lang['first_contact_stp18'] = 'L\'exemple précédent était juste un simple aperçu des astuces et de la puissance de Piwigo. Nous avons parlé des albums privés, mais comment pouvons nous gérer les albums ? Cliquez sur Album->Gérer ou sur Suivant';
+$lang['first_contact_stp17'] = 'et ici pour désigner la photo comme représentative d\'un album. Ainsi vous pouvez désigner une photo d\'un album privé comme représentant d\'un album publique; ceci est un moyen pour mettre des vignettes personnalisées sur les albums sans que l\'utilisateur puisse voir cette image dans ces albums. C\'est comme mettre le portrait d\'une personne pour représenter un album de photos de la nature; il serait bizarre de voir le portrait parmi les photos d\'arbres ou d\'animaux.';
+$lang['first_contact_stp16'] = 'ici pour ajouter ou supprimer la photo des albums. Le lien est virtuel, aucune photo ne sera physiquement supprimée.';
+$lang['first_contact_stp15'] = 'Sur cette page, vous pouvez éditer toutes les propriétés d\'une photo, par exemple...';
+$lang['first_contact_stp13'] = 'Vous pouvez éditer les descriptions ou autres depuis la gestion par lots. Mais pour le moment, restons en mode global';
+$lang['first_contact_stp14'] = 'Nous allons maintenant voir la page d\'édition d\'un image. Cette page est accessible d\'ici mais aussi depuis la page publique d\'une image quand vous êtes connecté comme administrateur. Cliquez sur Éditer ou passez au suivant';
+$lang['first_contact_stp12'] = 'puis éditez les en utilisant une action. Mais par exemple, vous ne pouvez pas (pour l\'instant) éditer par lot les descriptions car elles sont le plus souvent uniques';
+$lang['first_contact_stp10'] = 'Voici le lien pour accéder directement à votre caddie : c\'est un outil d\'administration pour ajouter facilement des images, les ordonner, les éditer dans la gestion par lot. Vous pouvez ajouter des photos au caddy depuis la page photo publique quand vous êtes connecté en tant qu\'administrateur, ou en utilisant l\'action "Ajouter au caddie" de la gestion par lot';
+$lang['first_contact_stp1'] = 'Salut ! Je serai votre guide pour la découverte de Piwigo. Merci de suivre mes instructions, et de cliquer sur Suivant (ou d\'utiliser les flèches de votre clavier) pour naviguer. Si vous affichez une autre page de l\'administration, vous serez redirigé vers la page courante de la visite. Si vous êtes coincés, afficher <em>Plugins » Take A Tour</em> terminera la visite. Commençons par ajouter des images !';
+$lang['TAT_descrp'] = 'Bienvenue ! Sont listées ici toutes les visites guidées disponibles pour découvrir les fonctionnalités de votre galerie Piwigo.<br />Démarrez une visite ci-dessous puis suivez les instructions. Cliquez sur Suivant/Précédent (ou utilisez les flèches du clavier) pour suivre le visite. Pendant la visite, si vous affichez une autre page d\'administration, vous serez automatiquement redirigé vers la page courante de la visite. Si vous êtes coincés, afficher <em>Plugins » Take A Tour</em> terminera la visite.';
+$lang['first_contact_descrp'] = 'Cette visite est une introduction à Piwigo et ses fonctionnalités de base. Elle est recommandée pour les débutants. Elle débuter par l\'ajout d\'images puis leur gestion. La visite continue avec la gestion des albums, les permissions et se termine sur la personnalisation à travers la configuration, les thèmes et plugins. ';