Index: /trunk/plugins/TakeATour/language/fr_FR/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/fr_FR/plugin.lang.php	(revision 28230)
+++ /trunk/plugins/TakeATour/language/fr_FR/plugin.lang.php	(revision 28231)
@@ -52,2 +52,44 @@
 $lang['TAT_descrp'] = 'Bienvenue ! Sont listées ici toutes les visites guidées disponibles pour découvrir les fonctionnalités de votre galerie Piwigo.<br />Démarrez une visite ci-dessous puis suivez les instructions. Cliquez sur Suivant/Précédent (ou utilisez les flèches du clavier) pour suivre le visite. Pendant la visite, si vous affichez une autre page d\'administration, vous serez automatiquement redirigé vers la page courante de la visite. Si vous êtes coincés, afficher <em>Plugins » Take A Tour</em> terminera la visite.';
 $lang['first_contact_descrp'] = 'Cette visite est une introduction à Piwigo et ses fonctionnalités de base. Elle est recommandée pour les débutants. Elle débuter par l\'ajout d\'images puis leur gestion. La visite continue avec la gestion des albums, les permissions et se termine sur la personnalisation à travers la configuration, les thèmes et plugins. ';
+$lang['first_contact_stp8'] = 'Allons les éditer ! Cliquez sur le lien. Si vous ne le voyez pas, cliquez sur Précédent pour ajouter au moins 2 photos.';
+$lang['first_contact_title19'] = 'Gérer les albums';
+$lang['first_contact_title20'] = 'Gérer les albums';
+$lang['first_contact_title21'] = 'Autres onglets';
+$lang['first_contact_title22'] = 'Page d\'édition d\'album';
+$lang['first_contact_title25'] = 'Permissions de l\'album';
+$lang['first_contact_title28'] = 'Configuration';
+$lang['first_contact_title3'] = 'Page d\'ajout de photo';
+$lang['first_contact_title33'] = 'Préférences utilisateur';
+$lang['first_contact_title34'] = 'Thèmes';
+$lang['first_contact_title35'] = 'Thèmes';
+$lang['first_contact_title36'] = 'Thèmes';
+$lang['first_contact_title37'] = 'Thèmes';
+$lang['first_contact_title38'] = 'Plugins';
+$lang['first_contact_title9'] = 'Gestion par lots';
+$lang['takeatour_configpage'] = 'Visite guidée » Liste des visites';
+$lang['first_contact_stp34'] = 'Les thèmes sont une des trois méthodes de personnalisation de votre Piwigo avec les Plugins et les Templates. Les thèmes installés sont listés ici.<br/>Plusieurs thèmes peuvent être autorisés : l\'utilisateur peut alors changer son thème le sélectionnant parmi l\'un des thèmes autorisés, si l\'option \'Autoriser la personnalisation aux utilisateurs\' est cochée dans la page des options.';
+$lang['first_contact_stp35'] = 'Un thème peut aussi être défini par défaut, ce qui signifie que le thème des utilisateurs non authentifiés (invités, vous vous souvenez ?) et des nouveaux utilisateurs enregistrés sera celui là. Mais pour les utilisateurs déjà enregistrés, le thème ne changera pas tant que vous ne le faites pas depuis la page de gestion de l\'utilisateur ou que vous ne le désactivez pas (soyez prudent, vous pouvez perturber vos utilisateurs en changeant leur affichage). ';
+$lang['first_contact_stp36'] = 'Les thèmes ont un système de dépendance : c\'est pourquoi certains thèmes ne peuvent pas être supprimés (un thème parent ne peut-être supprimé si un thème enfant est activé) ou être activés (un thème enfant a besoin du thème parent). Par exemple, quand vous survolez le lien Supprimer avec la souris, une popup d\'information vous explique pourquoi le thème ne peut pas être supprimé.';
+$lang['first_contact_stp37'] = 'Pour installer de nouveaux thèmes, vous pouvez les télécharger directement depuis l\'onglet \'Ajouter un thème\'. Seul les thèmes compatibles avec votre version de Piwigo sont affichés. <br/>Maintanant, allons découvrir les Plugins ! Cliquez sur Plugins->Gestion';
+$lang['first_contact_stp38'] = 'Les plugins sont un moyen simple de personnaliser votre Piwigo. Ils peuvent offrir à peu près tout ce que vous pouvez imaginer, du simple ajout de texte à des fonctionnalités plus complètes, comme le plugin Connunity qui permet aux utilisateurs non administrateurs d\'envoyer des photos sans savoir accès à l\'administration.';
+$lang['first_contact_stp39'] = 'Sur cette première page sont listés les plugins installés. En haut sont listés les plugins activés, qui sont utilisés. En bas les plugins qui sont installés dans le répertoire /plugins mais ne sont pas utilisés. Supprimer un plugin signifie que toutes les traces du plugin seront supprimées (fichiers, options, etc...). Pour la plupart des plugins, la désactivation conservera les données enregistrées par ces plugins.';
+$lang['first_contact_stp4'] = 'Commencez par choisir un album; créez en un s\'il n\'y en a pas.';
+$lang['first_contact_stp40'] = 'Me voici ! Ne me désactivez pas maintenant, mais observez que vous pouvez désactiver ou réinitialiser un plugin activé.';
+$lang['first_contact_stp41'] = 'Vous pouvez voir dans le dernier onglet les plugins disponibles pour votre version de Piwigo. Il existe des centaines de plugins ici !';
+$lang['first_contact_stp42'] = 'Piwigo est multi-langues. Par défaut, la langue affichée par Piwigo varie avec la langue du navigateur de votre visiteur. Ci la langue du visiteur n\'est pas disponible, la langue par défaut est utilisée.';
+$lang['first_contact_stp43'] = 'Cette visite est un peu longue, mais nous n\'avons vu qu\'une petite partie des capacités de Piwigo. Tout a une fin, cet apperçu est terminé. <br/>Vous pouvez approfondir vos connaissances sur Piwigo en choisissant une autre visite ou en lisant notre documentation sur le site web piwigo.org.';
+$lang['first_contact_stp5'] = 'Puis cliquez sur le bouton pour sélectionner les photos à envoyer depuis votre ordinateur';
+$lang['first_contact_stp6'] = 'Vous voyez que les photos sont listées. Ajoutez au moins 2 images et quand vous êtes prêt, cliquez sur le bouton Démarrer le téléchargement';
+$lang['first_contact_stp7'] = 'Vous voyez ici une synthèse de votre envoi d\'images. Observez que Piwigo a généré de lui même les miniatures. Vous pouvez maintenant ajouter plus de photos avec le lien en bas, éditer les propriétés d\'une image en cliquant dessus ou cliquer pour gérer toutes les photos depuis la gestion par lots...';
+$lang['first_contact_stp9'] = 'Vous êtes maintenant dans la gestion par lots d\'où vous pouvez éditer simultanément de multiples images. Ici le caddie apparaît comme un filtre car vous venez de la page de résultat d\'envoi de fichiers.';
+$lang['first_contact_title1'] = 'Bienvenue dans votre galerie Piwigo';
+$lang['first_contact_title11'] = 'Comment éditer une photo';
+$lang['first_contact_title15'] = 'La page d\'édition d\'une image';
+$lang['first_contact_title18'] = 'Gérer les albums';
+$lang['first_contact_stp3'] = 'Vous ajoutez des photos depuis le premier onglet avec votre navigateur. Les autres onglets sont dédiés aux autres méthodes d\'envoi de photos';
+$lang['first_contact_stp31'] = 'Puis la bannière qui sera affichée en haut de chaque page. Comme vous pouvez le voir, les tags HTML sont autorisés ici. You pouvez aussi utiliser le tag %gallery_title% pour afficher le titre que vous venez de saisir au dessus.';
+$lang['first_contact_stp33'] = 'Un dernier mot à propos des options, la page des \'Préférences invité\' est utilisé pour définir les préférences des utilisateurs non identifiés. <br/>Continuons avec la configuration : cliquez sur Configuration->Thèmes ou sur Suivant.';
+$lang['first_contact_stp26'] = 'Vous pouvez ici basculer l\'album courant comme privé, puis autoriser l\'accès aux utilisateurs et groupes. Par défaut, les permissions ne sont pas répercutées sur les sous-albums, mais les albums de niveau supérieur seront mis à jour avec les mêmes permissions pour autoriser les utilisateur à naviguer jusqu\'à l\'album courant.';
+$lang['first_contact_stp27'] = 'Remarque importante : les webmestres et administrateurs n\'ont pas de passe-droits lorsqu\'ils naviguent dans la partie publique, mais ils peuvent accéder à tous les albums et photos dans la partie administration.';
+$lang['first_contact_stp28'] = 'Nous allons maintenant observer les options disponibles pour faire  fonctionner Piwigo à votre façon. Cliquez sur Configuration->Options juste sur Suivant.';
+$lang['first_contact_stp25'] = 'Comme vous pouvez le lire dans l\'aide de votre Piwigo (lien en haut à droite), les permissions sur les albums sont positionnées par groupe ou par utilisateur. Vous pouvez rendre publique/privé plusieurs albums simultanément en utilisant la page d\'administration des propriétés des albums.';