Index: trunk/plugins/TakeATour/tours/first_contact/tour.tpl
===================================================================
--- trunk/plugins/TakeATour/tours/first_contact/tour.tpl	(revision 28169)
+++ trunk/plugins/TakeATour/tours/first_contact/tour.tpl	(revision 28243)
@@ -11,6 +11,6 @@
   {
     path: "{/literal}{$TAT_path}{literal}admin.php",
-    title: "{/literal}{'first_contact_title1'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp1'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title1'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp1'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -19,6 +19,6 @@
     element: ".icon-plus-circled",
     reflex:true,
-    title: "{/literal}{'first_contact_title2'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp2'|@translate}{literal}",
+    title: "{/literal}{'first_contact_title2'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp2'|@translate|@escape:'javascript'}{literal}",
   },
   {
@@ -26,6 +26,6 @@
     placement: "bottom",
     element: ".selected_tab",
-    title: "{/literal}{'first_contact_title3'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp3'|@translate}{literal}",
+    title: "{/literal}{'first_contact_title3'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp3'|@translate|@escape:'javascript'}{literal}",
   },
   {
@@ -33,6 +33,6 @@
     placement: "left",
     element: "#albumSelection",
-    title: "{/literal}{'first_contact_title4'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp4'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title4'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp4'|@translate|@escape:'javascript'}{literal}"
   },
   {//5
@@ -40,6 +40,6 @@
     placement: "top",
     element: "#uploadify",
-    title: "{/literal}{'first_contact_title5'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp5'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title5'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp5'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -48,6 +48,6 @@
     placement: "left",
     element: "#fileQueue",
-    title: "{/literal}{'first_contact_title6'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp6'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title6'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp6'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -56,6 +56,6 @@
     placement: "top",
     element: "#photosAddContent legend",
-    title: "{/literal}{'first_contact_title7'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp7'|@translate}{literal}",
+    title: "{/literal}{'first_contact_title7'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp7'|@translate|@escape:'javascript'}{literal}",
     prev:4
   },
@@ -66,6 +66,6 @@
     element: "#batchLink",
     reflex:true,
-    title: "{/literal}{'first_contact_title8'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp8'|@translate}{literal}",
+    title: "{/literal}{'first_contact_title8'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp8'|@translate|@escape:'javascript'}{literal}",
     prev:4
   },
@@ -75,6 +75,6 @@
     placement: "top",
     element: "",
-    title: "{/literal}{'first_contact_title9'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp9'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title9'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp9'|@translate|@escape:'javascript'}{literal}"
   },
   {//10
@@ -83,6 +83,6 @@
     placement: "right",
     element: ".icon-flag",
-    title: "{/literal}{'first_contact_title10'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp10'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title10'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp10'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -91,6 +91,6 @@
     placement: "left",
     element: "#checkActions",
-    title: "{/literal}{'first_contact_title11'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp11'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title11'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp11'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -99,6 +99,6 @@
     placement: "top",
     element: "#action",
-    title: "{/literal}{'first_contact_title12'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp12'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title12'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp12'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -107,6 +107,6 @@
     placement: "bottom",
     element: "#tabsheet .normal_tab",
-    title: "{/literal}{'first_contact_title13'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp13'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title13'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp13'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -116,6 +116,6 @@
     element: "#TAT_FC_14",
     reflex:true,
-    title: "{/literal}{'first_contact_title14'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp14'|@translate}{literal}",
+    title: "{/literal}{'first_contact_title14'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp14'|@translate|@escape:'javascript'}{literal}",
     onNext:function (tour) {window.location = "admin.php?page=photo-{/literal}{$TAT_image_id}{literal}";}
   },
@@ -125,6 +125,6 @@
     placement: "bottom",
     element: ".selected_tab",
-    title: "{/literal}{'first_contact_title15'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp15'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title15'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp15'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -133,6 +133,6 @@
     placement: "top",
     element: "#TAT_FC_16",
-    title: "{/literal}{'first_contact_title16'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp16'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title16'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp16'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -141,6 +141,6 @@
     placement: "top",
     element: "#TAT_FC_17",
-    title: "{/literal}{'first_contact_title17'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp17'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title17'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp17'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -148,6 +148,6 @@
     redirect:function (tour) {window.location = "admin.php?page=photo-{/literal}{$TAT_image_id}{literal}";},
     placement: "top",
-    title: "{/literal}{'first_contact_title18'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp18'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title18'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp18'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -155,6 +155,6 @@
     placement: "left",
     element: "#content",
-    title: "{/literal}{'first_contact_title19'|@translate}{literal}",
-    content: "{/literal}{if $TAT_FTP}{'first_contact_stp19'|@translate}{else}{'first_contact_stp19_b'|@translate}{/if}{literal}",
+    title: "{/literal}{'first_contact_title19'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{if $TAT_FTP}{'first_contact_stp19'|@translate|@escape:'javascript'}{else}{'first_contact_stp19_b'|@translate|@escape:'javascript'}{/if}{literal}",
     onPrev: function (tour) {window.location = "admin.php?page=photo-{/literal}{$TAT_image_id}{literal}";},
 
@@ -164,6 +164,6 @@
     placement: "top",
     element: "#categoryOrdering",
-    title: "{/literal}{'first_contact_title20'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp20'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title20'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp20'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -171,6 +171,6 @@
     placement: "left",
     element: "#tabsheet:first-child",
-    title: "{/literal}{'first_contact_title21'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp21'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title21'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp21'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -179,6 +179,6 @@
     placement: "top",
     element: ".selected_tab",
-    title: "{/literal}{'first_contact_title22'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp22'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title22'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp22'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -187,6 +187,6 @@
     placement: "top",
     element: "#TAT_FC_23",
-    title: "{/literal}{'first_contact_title23'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp23'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title23'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp23'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -195,6 +195,6 @@
     placement: "bottom",
     element: ".tabsheet",
-    title: "{/literal}{'first_contact_title24'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp24'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title24'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp24'|@translate|@escape:'javascript'}{literal}"
   },
   {//25
@@ -203,6 +203,6 @@
     placement: "left",
     element: "#content",
-    title: "{/literal}{'first_contact_title25'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp25'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title25'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp25'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -211,6 +211,6 @@
     placement: "top",
     element: "#selectStatus",
-    title: "{/literal}{'first_contact_title26'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp26'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title26'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp26'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -219,6 +219,6 @@
     placement: "top",
     element: "#selectStatus",
-    title: "{/literal}{'first_contact_title27'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp27'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title27'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp27'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -226,13 +226,13 @@
     redirect:function (tour) {window.location = "admin.php?page=album-{/literal}{$TAT_cat_id}{literal}-permissions";},
     placement: "top",
-    title: "{/literal}{'first_contact_title28'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp28'|@translate}{literal}"
-  },
-  {
-    path: "{/literal}{$TAT_path}{literal}admin.php?page=configuration",
-    placement: "top",
-    element: "",
-    title: "{/literal}{'first_contact_title29'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp29'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title28'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp28'|@translate|@escape:'javascript'}{literal}"
+  },
+  {
+    path: "{/literal}{$TAT_path}{literal}admin.php?page=configuration",
+    placement: "top",
+    element: "",
+    title: "{/literal}{'first_contact_title29'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp29'|@translate|@escape:'javascript'}{literal}"
   },
   {//30
@@ -240,6 +240,6 @@
     placement: "right",
     element: "#gallery_title",
-    title: "{/literal}{'first_contact_title30'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp30'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title30'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp30'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -247,6 +247,6 @@
     placement: "right",
     element: "#page_banner",
-    title: "{/literal}{'first_contact_title31'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp31'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title31'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp31'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -255,12 +255,12 @@
     placement: "top",
     element: ".formButtons input",
-    title: "{/literal}{'first_contact_title32'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp32'|@translate}{literal}"
-  },
-  {
-    path: "{/literal}{$TAT_path}{literal}admin.php?page=configuration",
-    placement: "top",
-    title: "{/literal}{'first_contact_stp33'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp33'|@translate}{literal}",
+    title: "{/literal}{'first_contact_title32'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp32'|@translate|@escape:'javascript'}{literal}"
+  },
+  {
+    path: "{/literal}{$TAT_path}{literal}admin.php?page=configuration",
+    placement: "top",
+    title: "{/literal}{'first_contact_stp33'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp33'|@translate|@escape:'javascript'}{literal}",
     prev:30
   },
@@ -269,6 +269,6 @@
     placement: "top",
     element: "",
-    title: "{/literal}{'first_contact_title34'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp34'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title34'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp34'|@translate|@escape:'javascript'}{literal}"
   },
   {//35
@@ -276,6 +276,6 @@
     placement: "top",
     element: "#TAT_FC_35",
-    title: "{/literal}{'first_contact_title35'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp35'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title35'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp35'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -283,6 +283,6 @@
     placement: "top",
     element: "",
-    title: "{/literal}{'first_contact_title36'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp36'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title36'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp36'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -290,6 +290,6 @@
     placement: "right",
     element: ".tabsheet",
-    title: "{/literal}{'first_contact_title37'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp37'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title37'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp37'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -297,6 +297,6 @@
     placement: "left",
     element: "",
-    title: "{/literal}{'first_contact_title38'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp38'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title38'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp38'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -304,6 +304,6 @@
     placement: "left",
     element: "#content",
-    title: "{/literal}{'first_contact_title39'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp39'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title39'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp39'|@translate|@escape:'javascript'}{literal}"
   },
   {//40
@@ -311,6 +311,6 @@
     placement: "bottom",
     element: "#TakeATour",
-    title: "{/literal}{'first_contact_title40'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp40'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title40'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp40'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -318,11 +318,11 @@
     placement: "right",
     element: ".tabsheet",
-    title: "{/literal}{'first_contact_title41'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp41'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title41'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp41'|@translate|@escape:'javascript'}{literal}"
   },
   {
     path: "{/literal}{$TAT_path}{literal}admin.php?page=languages",
-    title: "{/literal}{'first_contact_title42'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp42'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title42'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp42'|@translate|@escape:'javascript'}{literal}"
   },
   {
@@ -330,6 +330,6 @@
     placement: "top",
     element: "",
-    title: "{/literal}{'first_contact_title43'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp43'|@translate}{literal}"
+    title: "{/literal}{'first_contact_title43'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'first_contact_stp43'|@translate|@escape:'javascript'}{literal}"
   }
 ]);