Index: /trunk/plugins/TakeATour/language/da_DK/description.txt
===================================================================
--- /trunk/plugins/TakeATour/language/da_DK/description.txt	(revision 28259)
+++ /trunk/plugins/TakeATour/language/da_DK/description.txt	(revision 28259)
@@ -0,0 +1,1 @@
+Besøg din Piwogo for at opdage dens muligheder.  Plugin'en har flere tematiske ture for begyndere og avancerede brugere.
Index: /trunk/plugins/TakeATour/language/da_DK/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/da_DK/plugin.lang.php	(revision 28258)
+++ /trunk/plugins/TakeATour/language/da_DK/plugin.lang.php	(revision 28259)
@@ -41,2 +41,56 @@
 $lang['first_contact_stp2'] = 'Linket er her. Klik på Næste for at fortsætte';
 $lang['first_contact_stp20'] = 'Når din mus svæver over et album, viser links og oplysninger sig. Når du trækker og slipper et album - en blok med afrundede hjørner - ændrer du dets placering og du kan dernæst gemme eller annullere din manuelle rækkefølge.';
+$lang['first_contact_stp5'] = 'Klik dernæst på knappen for at vælge fotografier, som overføres fra din computer';
+$lang['first_contact_stp6'] = 'Du kan se, at fotografier opremses. Tilføj mindst to fotografier, og når der er klar, så klik på knappen Start upload';
+$lang['first_contact_stp7'] = 'Her er et resume af dine uploadede billeder. Bemærk at Piwigo af sig selv har genereret miniaturebillederne. Du kan nu tilføjet flere fotografier ved hjælp af linket nederst, redigere et billedes egenskaber ved at klikke på det eller klikke for at håndtere alle uploadede billeder i Batch Manager...';
+$lang['first_contact_stp8'] = 'Lad os redigere dem! Klik på linket, hvis du ikke kan se det, så klik på Foregående for at tilføje mindst to fotografier.';
+$lang['first_contact_stp9'] = 'Du er nu i Batch Manager, hvor man kan masseredigere flere billeder. Her er Kurven opsat som et filter, fordi vi kommer fra siden med uploadresultatet.';
+$lang['first_contact_stp40'] = 'Hov, det er mig! Deaktiver mig ikke nu, men den kan se, at en aktiveret plugin både kan deaktiveres og genaktiveres.';
+$lang['first_contact_stp41'] = 'På den sidste fane ser man alle tilgængelige plugins til din version af Piwigo. Der er hundredvis af plugins!';
+$lang['first_contact_stp42'] = 'Piwigo er flersproget. Som standard benytter Piwigo den besøgendes webbrowsers sprog. Hvis den besøgendes sprog ikke er tilgængeligt, anvendes i stedet standardsproget.';
+$lang['first_contact_stp43'] = 'Denne tur var ganske lang, og alligevel har vi kun set en lille del af alt det Piwigo kan. Alt må slutte et sted, og denne gennemgang er færdig.<br>Du kan udforske Piwigos funktionalitet meget grundigere, ved at tage på en anden tur eller læses vores dokumentation på hjemmesiden piwigo.org.';
+$lang['first_contact_stp38'] = 'Med plugins er det meget let at tilpasse din Piwigo. De kan næsten alt, hvad man kan forestille sig, fra som teksttilføjelser til komplet funktionalitet, så som Community-plugin\'en, der gør det muligt for brugere, der ikke er administratorer, at uploade uden at gå ind i administrationsdelen.';
+$lang['first_contact_stp39'] = 'På den første side er de installerede plugins opremset. Øverst vises de aktive plugins, det vil sige dem der pt. kører. I bunden vises de plugins, som er installeret i /plugin-mappen, men som er deaktiveret. Slettes en plugin, betyder det at ethvert spor af den bliver fjernet (filer, valgmuligheder, osv.). Ved de fleste plugins bevares dens data, hvis den deaktiveres.';
+$lang['first_contact_stp4'] = 'Vælg først et album, opret et hvis der endnu ikke er nogen.';
+$lang['first_contact_stp36'] = 'Temaer har et afgængighedssystem, hvorfor nogle temaer ikke kan slettes (a forældertema kan ikke slettes, hvis et barnetema er aktivt) eller andre kan ikke aktiveres (et barnetema kræver et forældertema). Eksempelvis, hvis man placerer musen over Slet-linket, hvis temaet ikke kan slettes, så fortæller en informationsboble hvorfor.';
+$lang['first_contact_stp37'] = 'For at installere nye temaer, kan de downloade dem direkte fra fanen "Tilføj et tema". Kun temaer markeret som kompatible med din version af Piwigo, bliver vist.<br>Lad os nu udforske plugins! Klik på Plugins -> Håndter';
+$lang['first_contact_stp34'] = 'Temaer er en af de tre måder, man kan tilpasse sin Piwigo, sammen med plugins og skabeloner. Installerede temaer er opremset her.<br>Flere end et tema kan være aktiveret: brugerne kan ændre deres foretrukne tema ved at vælge et blandt dem, der er aktiveret, hvis valgmuligheden "Tillad brugertilpasning" er afkrydset på Valgmulighedssiden.';
+$lang['first_contact_stp35'] = 'Teamer kan også opsættes som standard, hvilket betyder at ikke-registrerede besøgendes (altså, gæster, husker du nok?) tema samt alle nye registerede brugere, vil benytte dette tema. Men for tidligere registrerede brugere, vil temaet ikke ændre sig, indtil du gør det fra Brugerhåndteringenssiden eller du deaktiverer deres tema: vær forsigtig, da det kan ødelægge brugeroplevelsen, at ændre hvordan galleriet vises hos dem.';
+$lang['first_contact_title42'] = 'Sprog';
+$lang['first_contact_title43'] = 'Det har været hyggeligt';
+$lang['first_contact_title9'] = 'Batch Manager';
+$lang['takeatour_configpage'] = 'Tag på en tur » Turliste';
+$lang['first_contact_title33'] = 'Gæsteindstillinger';
+$lang['first_contact_title34'] = 'Temaer';
+$lang['first_contact_title35'] = 'Temaer';
+$lang['first_contact_title36'] = 'Temaer';
+$lang['first_contact_title37'] = 'Temaer';
+$lang['first_contact_title38'] = 'Plugins';
+$lang['first_contact_title39'] = 'Plugins';
+$lang['first_contact_title4'] = 'Lad os tilføje et fotografi!';
+$lang['first_contact_title15'] = 'Redigering af et fotografi';
+$lang['first_contact_title18'] = 'Håndtering af albummer';
+$lang['first_contact_title19'] = 'Håndtering af albummer';
+$lang['first_contact_title20'] = 'Håndtering af albummer';
+$lang['first_contact_title21'] = 'Andre faner';
+$lang['first_contact_title22'] = 'Side til redigering af album';
+$lang['first_contact_title25'] = 'Albumrettigheder';
+$lang['first_contact_title28'] = 'Opsætning';
+$lang['first_contact_title29'] = 'Opsætning->Valgmuligheder->Generelt';
+$lang['first_contact_title3'] = 'Side til tilføjelse af fotografier';
+$lang['first_contact_title1'] = 'Velkommen i dit Piwigo-galleri';
+$lang['first_contact_title11'] = 'Hvordan et fotografi redigeres';
+$lang['first_contact_stp33'] = 'Lige et sidste ord om valgmulighederne, siden "Gæsteindstillinger" er beregnet til at opsættes ikke-registrerede brugeres præferencer. Hver gang Piwigo refererer til "guest", betyder det ikke-registerede brugere.<br>Lad os fortsætte med Opsætning: klik på Opsætning -> Temaer eller klik blot på Næste. ';
+$lang['first_contact_stp27'] = 'Vigtigt faktum: Webmasterne og administratorerne er ikke alvidende når de gennemse den offentlige del, men de kan tilgå ethvert album og fotografi gennem administrationsdelen.';
+$lang['first_contact_stp28'] = 'Nu tager vi et kig på de valgmuligheder, som er tilgængelige for at opsætte Piwigo til at fungere på din måde. Klik på Opsætning -> Valgmuligheder eller klik blot på Næste.';
+$lang['first_contact_stp29'] = 'Her på den første side, opsættes de afgørende og grundlæggende valgmuligheder i dit galleri.';
+$lang['first_contact_stp3'] = 'Den første fane er hvor du tilføjer fotografier direkte fra din browser. De andre faner handler om andre måder, at overføre fotografier på';
+$lang['first_contact_stp30'] = 'Lad os begynde med at ændre titlen';
+$lang['first_contact_stp31'] = 'Dernæst banneret, som vises på toppen af alle sider. Som du kan se, er HTML-tags tilladt her. Du kan også anvende tag\'et %gallery_title% for at vise titlen, du netop skrev herover.';
+$lang['first_contact_stp32'] = 'Gem nu dine ændringer';
+$lang['first_contact_stp21'] = 'Den næste fane er en side, hvor du kan flytte ethvert virtuelt album.<br>Permalink-fanen er opsat til en bestemt URL til et album, af tekniske årsager opsat til en specifik skabelon eller blot til at sende smarte skræddersyede links.<br>Men lad os redigere et album: klik på Rediger i et album';
+$lang['first_contact_stp22'] = 'Som ved billeder, kan man her redigere et albums egenskaber';
+$lang['first_contact_stp23'] = 'Låsning af et album betyder, at kun administratorer vil have mulighed for at se albummet: det benyttes normalt når en administrator ændrer på et albums egenskaber eller ikke ønsker at offentliggøre albummet med det samme';
+$lang['first_contact_stp24'] = 'Naturligvis er en af de vigtigste sider rettighedssiden hørende til et privat album. Klik på rettighedsfanen eller klik på næste';
+$lang['first_contact_stp25'] = 'Som det fremgår af hjælpen i Piwigo-linket øverst til højre, opsættes albumrettigheder via grupper eller brugere. Du kan direkte opsætte flere private eller offentlige albummer ved hjælp af siden Administration » Albummer » Egenskaber.';
+$lang['first_contact_stp26'] = 'Her opsætter man det aktuelle album som privat, giver dernæst adgang til brugere og grupper. Som standard nedarves rettighederne ikke til underalbummer, men overliggende albummer vil blive tildelt de samme rettigheder, for at kunne give brugere, som har fået tildelt rettigheder, til at gennemse albummet.';