Index: /trunk/plugins/TakeATour/language/da_DK/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/da_DK/plugin.lang.php	(revision 28293)
+++ /trunk/plugins/TakeATour/language/da_DK/plugin.lang.php	(revision 28294)
@@ -25,5 +25,5 @@
 $lang['first_contact_stp10'] = 'Her er et link, som du direkte kan tilgå din kurv med: Det er et værktøj til administratorer, som gør det let at tilføje billeder til et sæt, hvis man ønsker at redigere dem i Batch Manager. Du kan tilføje billeder til kurven fra den offentlige billedside, når du er logget på som administrator, eller benytte handlingen \"Føj til kurv\" i Batch Manager';
 $lang['first_contact_stp11'] = 'Det vil sige, at du herfra kan vælge et eller flere fotografier';
-$lang['first_contact_stp12'] = 'Dernæst redigeres fotografierne ved hjælp af en handling. Men du kan eksempelvis ikke - i øjeblikket - batchredigere beskrivelser, da de for det meste er unikke';
+$lang['first_contact_stp12'] = 'Dernæst redigeres fotografierne ved hjælp af en handling. Men du kan eksempelvis ikke - i øjeblikket - masseredigere beskrivelser, da de for det meste er unikke';
 $lang['first_contact_stp13'] = 'Du kan redigere beskrivelser og mere fra Batch Manager i enhedstilstand. Men lige nu bliver vi i den gloable tilstand';
 $lang['first_contact_stp14'] = 'Du ser et enkelt billedes redigeringsside. Siden er tilgængelig herfra, men også fra den offentlige billedside, når man er logget på som administrator. Klik på Rediger og gå til næste punkt';
@@ -36,5 +36,5 @@
 $lang['first_contact_stp16'] = 'Her for at tilføje eller fjerne fotografier fra albummer. Linket er virtuelt, ingen fotografier vil nogensinde blive fjernet fysisk.';
 $lang['first_contact_stp17'] = 'Samt her for at opsætte fotografiet som et albums billedrepræsentant. Det vil sige at du kan opsætte det som repræsentant for et offentlig album, et fotografi i et privat album, hvilket er ideelt til opsætning af skræddersyede miniaturebilleder i albummer, men brugeren ser ikke billederne inde i albummerne. Det svarer til at benytte et portræt af nogen som repræsentant for et album, som indeholder fotografier af natur; det ville være underligt at se et billede af en mand eller kvinde, blandt billeder af træer eller dyr. ';
-$lang['first_contact_stp18'] = 'Det foregående eksempel var kun et hurtigt overblik over tips samt hvor ydedygtig Piwigo er. Nu har jeg fortalt dig om private albummer, men hvordan håndterer man så albummer? Klik på album->Håndter eller på Næste';
+$lang['first_contact_stp18'] = 'Det foregående eksempel var kun et hurtigt overblik over tips samt hvor ydedygtig Piwigo er. Nu har jeg fortalt dig om private albummer, men hvordan håndterer man så albummer? Klik på Album->Håndter eller på Næste';
 $lang['first_contact_stp19'] = 'Her er opremset alle de "øverste" albummer, det vil sige dem der er i roden af dit galleri. Hvis du ser et album med en stiplet baggrund, er det et rigtigt fysisk album fra en FTP-synkronisering, hvilket ikke kan flyttet eller slettes herfra. De andre albummer kaldes virtuelle albummer.';
 $lang['first_contact_stp19_b'] = 'Alle albummerne kaldes "virtuelle albummer". Her er opremset alle de "øverste" albummer, dem der er i roden af dit galleri.';
@@ -42,5 +42,5 @@
 $lang['first_contact_stp20'] = 'Når din mus svæver over et album, viser links og oplysninger sig. Når du trækker og slipper et album - en blok med afrundede hjørner - ændrer du dets placering og du kan dernæst gemme eller annullere din manuelle rækkefølge.';
 $lang['first_contact_stp5'] = 'Klik dernæst på knappen for at vælge fotografier, som overføres fra din computer';
-$lang['first_contact_stp6'] = 'Du kan se, at fotografier opremses. Tilføj mindst to fotografier, og når der er klar, så klik på knappen Start upload';
+$lang['first_contact_stp6'] = 'Du kan se, at fotografier opremses. Tilføj mindst to fotografier, og når de er klar, så klik på knappen Start upload';
 $lang['first_contact_stp7'] = 'Her er et resume af dine uploadede billeder. Bemærk at Piwigo af sig selv har genereret miniaturebillederne. Du kan nu tilføjet flere fotografier ved hjælp af linket nederst, redigere et billedes egenskaber ved at klikke på det eller klikke for at håndtere alle uploadede billeder i Batch Manager...';
 $lang['first_contact_stp8'] = 'Lad os redigere dem! Klik på linket, hvis du ikke kan se det, så klik på Foregående for at tilføje mindst to fotografier.';