Index: /trunk/plugins/TakeATour/language/pt_BR/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/pt_BR/plugin.lang.php	(revision 28320)
+++ /trunk/plugins/TakeATour/language/pt_BR/plugin.lang.php	(revision 28321)
@@ -86,2 +86,31 @@
 $lang['first_contact_title26'] = ' ';
 $lang['first_contact_title27'] = ' ';
+$lang['first_contact_stp21'] = 'A próxima guia é uma página onde você pode mover qualquer álbum virtual. <br> A guia permalink é para definir uma determinada URL para um álbum, por razões técnicas, como para definir um modelo específico ou apenas para envio de links personalizadas. <br> mas vamos editar um álbum: clique em Editar de um álbum';
+$lang['first_contact_stp22'] = 'Como pora uma imagem, aqui você pode editar as propriedades de um álbum';
+$lang['first_contact_stp23'] = 'Bloquear um álbum significa apenas os administradores serão capazes de ver o álbum: é geralmente usado quando um administrador está gerenciando as propriedades de um álbum ou não quer publicar o álbum imediatamente';
+$lang['first_contact_stp24'] = 'Certamente, uma das páginas mais importante é a página de permissão de um álbum privado. Clique na aba permissão ou clique em Avançar';
+$lang['first_contact_stp25'] = 'Como você pode ler na Ajuda do seu Piwigo-link na parte superior direita-, permissões a álbum são definidas por grupos e usuários. Você pode definir diretamente vários álbuns público/privado com a administração »Álbuns» Propriedades página.';
+$lang['first_contact_stp26'] = 'Aqui você pode definir o álbum atual como privado, em seguida, conceder acesso aos usuários e grupos. Por padrão, as permissões não são recursivas para sub álbuns, mas-álbuns superiores será concedido com a mesma permissão, a fim de permitir que os usuários com permissões concedidas navegem nos álbuns.';
+$lang['first_contact_stp27'] = 'Fato importante: os webmasters e administradores não são oniscientes ao navegar na parte pública, mas eles podem acessar a cada álbum e fotos na parte de administração.';
+$lang['first_contact_stp28'] = 'Agora vamos olhar para as opções disponíveis para definir o caminho de trabalho do seu Piwigo. Clique em Configuração-> Opções ou apenas clique em Próximo.';
+$lang['first_contact_stp29'] = 'Aqui, na primeira página, você irá definir a configuração essencial e básica de sua galeria.';
+$lang['first_contact_stp3'] = 'Esta primeira guia é onde você adiciona fotos diretamente do seu navegador. As outras guias são sobre as outras maneiras de fazer upload de fotos';
+$lang['first_contact_stp30'] = 'Vamos começar por mudar o título';
+$lang['first_contact_stp31'] = 'Em seguida, o banner, que será exibido no topo de cada página. Como você pode ver, as tags HTML são permitidas aqui. Você também pode usar o gallery_title% tag% para exibir o título que você acabou de digitar acima.';
+$lang['first_contact_stp33'] = 'Apenas uma palavra final sobre as opções, página dos ajustes de Clientes \'é definir as preferências dos visitantes não registrados. Cada vez Piwigo refere-se a \'convidado\' que significa que os visitantes não registrados <br> Vamos continuar sobre configuração:. Clique em Configuração-> Temas ou apenas clique em Próximo.';
+$lang['first_contact_stp34'] = 'Os temas são uma das três maneiras de personalizar o seu Piwigo, com Plugins e Templates. . Temas instalados são listados aqui <br> Mais do que um tema pode ser habilitado: os usuários podem mudar o seu tema, escolhendo um entre aquele habilitado aqui, se a opção \'Permitir personalização do usuário "está marcada na página de opções.';
+$lang['first_contact_stp35'] = 'Os temas também pode ser definido como padrão, o que significa que será o tema para que os visitantes não registrados (clientes, você se lembra?) E qualquer novo usuário cadastrado terá este tema. Mas para os usuários previamente cadastrados, o tema não mudará até que você o faça a partir da página Gerenciamento de usuários ou desativar seu tema: cuidado, você pode perturbar seus usuários, alterando toda a sua exibição.';
+$lang['first_contact_stp36'] = 'Temas tem uma dependência de sistema: é por isso que algum tema não podem ser excluído (um tema pai não pode ser excluído se um tema filho está habilitado) ou outros não podem ser ativados (um tema filho precisa de seu tema pai). Por exemplo, quando você coloca seu mouse sobre um link Excluir, se o tema não pode ser excluído, uma bolha de informações irá explicar-lhe porquê.';
+$lang['first_contact_stp37'] = 'Para instalar novos temas, você pode baixá-los diretamente a partir da guia "Adicionar um tema". Apenas os temas marcados como compatíveis com a sua versão do Piwigo são mostrados. <br> Vamos descobrir os plugins agora! Clique em Plugin-> Gerenciar';
+$lang['first_contact_stp38'] = 'Plugins são maneiras muito fáceis de personalizar seu Piwigo. Eles podem fazer quase qualquer coisa que você pode imaginar de adição de texto a completar recursos, como num plugin comunitário, permite usuários não administradores fazer upload sem entrar na parte de administração.';
+$lang['first_contact_stp39'] = 'Na primeira página, são listados os plugins instalados. No topo, estão listados os plugins ativados, que estão atualmente em execução. Na parte inferior, os plugins que estão instalados na pasta /plugins, mas desativado. A exclusão de um plug-in significa que qualquer traço do plugin será removido (arquivos, opções, etc.) Para a maioria dos plugins, desativação irá manter os dados registrados pelos plugins.';
+$lang['first_contact_stp4'] = 'Primeiro, escolha um álbum; criar um, se não houver ainda um álbum.';
+$lang['first_contact_stp40'] = 'Aqui sou eu! Não me desabilite agora, mas você pode ver que você pode desativar ou restaurar um plugin ativado.';
+$lang['first_contact_stp41'] = 'Você pode ver na última guia todos os plugins disponíveis para a sua versão do Piwigo. Centenas de plugins estão lá!';
+$lang['first_contact_stp42'] = 'Piwigo é multilingue. Por padrão, o idioma exibido pelo Piwigo mudar de acordo com o idioma do navegador do visitante. Se o idioma do visitante não estiver disponível, o idioma definido por padrão é usado.';
+$lang['first_contact_stp43'] = 'Este passeio foi bastante longo, mas nós só vimos uma pequena parte de quão poderoso é o Piwigo. Tudo tem um fim, este panorama está terminado. <br> Você pode descobrir muito mais profundas características do Piwigo tfazendo uma outra turnê ou a leitura de nossa documentação, no site da piwigo.org.';
+$lang['first_contact_stp5'] = 'Em seguida, clique no botão para selecionar as fotos para enviar a partir de seu computador';
+$lang['first_contact_stp6'] = 'Você vê que as fotos estão sendo listadas. Adicione pelo menos 2 fotos e, quando estiver pronto, clique no botão Iniciar Envio';
+$lang['first_contact_stp8'] = 'Vamos editá-los! Clique no link. Se você não vê-lo click em Anterior para adicionar pelo menos 2 fotos.';
+$lang['first_contact_stp7'] = 'Aqui, um resumo de suas imagens enviadas. Veja que Piwigo gerou-se as miniaturas. Agora você pode adicionar mais fotos com o link na parte inferior, editar as propriedades de uma imagem, clicando sobre ela, ou clique para gerenciar todas as imagens enviadas no Gerenciador de Lotes ...';
+$lang['first_contact_stp9'] = 'Agora você está no Gegenciador de Lotes, onde você pode editar em lote várias fotos. Aqui, a Caddy é definido como um filtro porque vem da página de resultados de upload.';