Index: /extensions/EasyCaptcha/admin.php
===================================================================
--- /extensions/EasyCaptcha/admin.php	(revision 28344)
+++ /extensions/EasyCaptcha/admin.php	(revision 28345)
@@ -28,4 +28,5 @@
       ),
     'comments_action' => $_POST['comments_action'],
+    'guest_only' => isset($_POST['guest_only']),
     'challenge' => $_POST['challenge'],
     'drag' => array(
Index: /extensions/EasyCaptcha/include/category.inc.php
===================================================================
--- /extensions/EasyCaptcha/include/category.inc.php	(revision 28344)
+++ /extensions/EasyCaptcha/include/category.inc.php	(revision 28345)
@@ -24,6 +24,4 @@
   global $conf, $page;
 
-  if (!is_a_guest()) return $action;
-
   if (!easycaptcha_check())
   {
Index: /extensions/EasyCaptcha/include/contactform.inc.php
===================================================================
--- /extensions/EasyCaptcha/include/contactform.inc.php	(revision 28344)
+++ /extensions/EasyCaptcha/include/contactform.inc.php	(revision 28345)
@@ -11,6 +11,4 @@
   global $conf, $page;
 
-  if (!is_a_guest()) return $action;
-
   if (!easycaptcha_check())
   {
Index: /extensions/EasyCaptcha/include/guestbook.inc.php
===================================================================
--- /extensions/EasyCaptcha/include/guestbook.inc.php	(revision 28344)
+++ /extensions/EasyCaptcha/include/guestbook.inc.php	(revision 28345)
@@ -11,6 +11,4 @@
   global $conf, $page;
 
-  if (!is_a_guest()) return $action;
-
   if (!easycaptcha_check())
   {
Index: /extensions/EasyCaptcha/include/picture.inc.php
===================================================================
--- /extensions/EasyCaptcha/include/picture.inc.php	(revision 28344)
+++ /extensions/EasyCaptcha/include/picture.inc.php	(revision 28345)
@@ -24,6 +24,4 @@
   global $conf, $page;
 
-  if (!is_a_guest()) return $action;
-
   if (!easycaptcha_check())
   {
Index: /extensions/EasyCaptcha/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/en_UK/plugin.lang.php	(revision 28344)
+++ /extensions/EasyCaptcha/language/en_UK/plugin.lang.php	(revision 28345)
@@ -36,3 +36,3 @@
 $lang['We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'We detected that Crypto Captcha plugin is available in your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.';
 $lang['Nowhere'] = 'Nowhere';
-?>
+$lang['Only for unauthenticated users'] = 'Only for unauthenticated users';
Index: /extensions/EasyCaptcha/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/fr_FR/plugin.lang.php	(revision 28344)
+++ /extensions/EasyCaptcha/language/fr_FR/plugin.lang.php	(revision 28345)
@@ -36,3 +36,3 @@
 $lang['We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'Nous avons détecté que Crypto Captcha est activé sur votre galerie. Les deux plugins peuvent fonctionner en même temps, mais sous aucun prétexte ils ne doivent être activés sur les mêmes pages.';
 $lang['Nowhere'] = 'Nulle part';
-?>
+$lang['Only for unauthenticated users'] = 'Seulement pour les utilisateurs non connectés';
Index: /extensions/EasyCaptcha/main.inc.php
===================================================================
--- /extensions/EasyCaptcha/main.inc.php	(revision 28344)
+++ /extensions/EasyCaptcha/main.inc.php	(revision 28345)
@@ -55,5 +55,5 @@
   global $conf, $pwg_loaded_plugins, $page;
 
-  if (!is_a_guest())
+  if (!is_a_guest() && $conf['cryptographp']['guest_only'])
   {
     return;
@@ -89,9 +89,4 @@
   global $conf;
 
-  if (!is_a_guest())
-  {
-    return;
-  }
-
   if ($conf['EasyCaptcha']['activate_on']['register'])
   {
Index: /extensions/EasyCaptcha/maintain.inc.php
===================================================================
--- /extensions/EasyCaptcha/maintain.inc.php	(revision 28344)
+++ /extensions/EasyCaptcha/maintain.inc.php	(revision 28345)
@@ -21,4 +21,5 @@
           ),
         'comments_action' => 'reject',
+        'guest_only'      => true,
         'challenge' => 'random',
         'drag' => array(
@@ -56,4 +57,8 @@
         $old_conf['lastmod'] = time();
       }
+      if (!isset($old_conf['guest_only']))
+      {
+        $old_conf['guest_only'] = true;
+      }
 
       $conf['EasyCaptcha'] = serialize($old_conf);
Index: /extensions/EasyCaptcha/template/admin.tpl
===================================================================
--- /extensions/EasyCaptcha/template/admin.tpl	(revision 28344)
+++ /extensions/EasyCaptcha/template/admin.tpl	(revision 28345)
@@ -119,4 +119,8 @@
   <ul>
     <li>
+      <b><label for="guest_only">{'Only for unauthenticated users'|translate}</label></b>
+      <input type="checkbox" name="guest_only" id="guest_only" {if $easycaptcha.guest_only}checked{/if}>
+    </li>
+    <li>
       <b>{'Activate on'|translate}</b>
       <select name="activate_on[]" multiple>