Index: /trunk/plugins/TakeATour/language/zh_CN/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/zh_CN/plugin.lang.php	(revision 28362)
+++ /trunk/plugins/TakeATour/language/zh_CN/plugin.lang.php	(revision 28363)
@@ -88,2 +88,32 @@
 $lang['first_contact_title19'] = '管理相册';
 $lang['first_contact_title20'] = '管理相册';
+$lang['first_contact_stp43'] = '这个导览够长的，但我们还只是窥探了强大的 Piwigo 的冰山一角。万事终有尽头，我们的导览结束了。<br>您可以通过查看其它的导览或阅读我们官网piwigo.org上的文档去更深地了解 Piwigo。';
+$lang['first_contact_title33'] = '游客设置';
+$lang['first_contact_title43'] = '这是一次愉快的经历';
+$lang['End tour'] = '结束导览';
+$lang['Next '] = '前进';
+$lang['Prev'] = '后退';
+$lang['Take a tour and discover the features of your Piwigo gallery » Go to the available tours'] = '开始导览，探索您的 Piwigo 图库 » 前往可用的导览';
+$lang['Visit your Piwigo!'] = '访问您的 Piwigo ！';
+$lang['first_contact_stp42'] = 'Piwigo 是多语言的。默认情况下，Piwigo 根据访问者浏览器的语言来显示界面语言。如果访问者的语言不可用，则将显示被设为默认的语言。';
+$lang['first_contact_title42'] = '语言';
+$lang['first_contact_stp41'] = '在最后这个标签页上您可以看到所有与您的 Piwigo 兼容的插件，数量成百喔！';
+$lang['first_contact_stp35'] = '可设定一个主题为默认，未注册的访问者（游客）以及新注册的用户都将默认使用这一主题。但对于之前已注册的用户，除非你在用户管理页面进行设定或停用了他们自己选择的那个主题，默认主题的设定不会影响到他们。注意：您对用户的显示界面的更改可能会影响他们的心情喔！';
+$lang['first_contact_stp40'] = '瞧！我在这儿呢！可以看到您能够停用或恢复（恢复到默认配置）一个已启用的插件……，现在可不要停用我喔。';
+$lang['first_contact_title38'] = '插件';
+$lang['first_contact_title39'] = '插件';
+$lang['first_contact_stp39'] = '在第一个标签页，即插件列表页上，列出了已安装的插件。首先列出的是已启用的插件，它们正在运行。然后列出的是已安装于/plugins目录里，但处于停用状态的插件。删除一个插件意味着该插件的所有痕迹将被移除（文件、选项等）。而停用一个插件，就大部分插件而言，插件注册的数据将会保留在系统里。';
+$lang['first_contact_stp38'] = '插件是个性化您的 Piwigo 的简单办法。他们可以做到您能想到的几乎所有事情，小到文字添加，大到整体的特性，比如 Community 插件可以使非管理员用户无需进入管理界面即可上传图片。';
+$lang['first_contact_stp37'] = '要安装新的主题，您可以在 \'添加新主题\' 页面上直接下载。只有与您的版本的 Piwigo 兼容的主题才会被列出。<br>现在让我们去看看 插件 吧！点击 插件->管理 或 Next';
+$lang['first_contact_stp36'] = '主题具有层级依存性：一些主题不能被删除（当一个子主题被启用时，其父主题无法被删除），一些主题不能被启用（当子主题欠缺父主题时）。当鼠标置于一个主题的删除键上时，如果该主题不可删除，会出现弹窗告诉您为什么。';
+$lang['first_contact_stp34'] = '主题是个性化您的 Piwigo 的三种途径之一，此外还有插件和模板。已安装的主题列在了这里。<br>可以启用多个主题：如果 \'选项\' 页上的 \'允许用户自定义\' 被勾选了的话，用户就可以在这些已启用的主题中选择一个。';
+$lang['first_contact_title34'] = '主题';
+$lang['first_contact_title35'] = '主题';
+$lang['first_contact_title36'] = '主题';
+$lang['first_contact_title37'] = '主题';
+$lang['first_contact_stp33'] = '关于选项：\'游客设置\'页是用来设定未注册的访问者所看到的界面的。Piwigo 提及\'游客\'时指的都是未注册的访问者。<br>让我们继续往下看吧：点击 设置->主题 或 Next。';
+$lang['first_contact_stp32'] = '现在保存以上的更改';
+$lang['first_contact_stp31'] = '然后是页首banner，它将显示于所有页面的顶端。如您所见，HTML标签允许在这里使用。 您也可以使用 %gallery_title% 标签来显示刚才在上面输入的图库标题。';
+$lang['first_contact_stp30'] = '让我们从更改图库标题开始';
+$lang['first_contact_stp29'] = '在这里，第一个标签页上，您可以设定图库的最核心和基本的设置。';
+$lang['takeatour_configpage'] = 'Take A Tour » 导览项目';