Index: /extensions/CryptograPHP/language/fa_IR/description.txt
===================================================================
--- /extensions/CryptograPHP/language/fa_IR/description.txt	(revision 28369)
+++ /extensions/CryptograPHP/language/fa_IR/description.txt	(revision 28370)
@@ -1,8 +1,1 @@
-
-افزودن تصویر ضد روبات  برای  کتاب مهمان  دیدگاه ها صفحه ثت نام وصفحه محتوا 
- 
- register, comment, GuestBook and ContactForm pages
-هرگونه مشکل در ترجمه  را به ادرس زیر ارسال کنید 
-
-
-piwigo.org
+افزودن کپچا (عکس ضد ربات) به صفحه‌ی نام نویسی، بخش دیدگاه‌ها ، کتاب مهمان و فرم تماس
Index: /extensions/CryptograPHP/language/fa_IR/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/fa_IR/plugin.lang.php	(revision 28369)
+++ /extensions/CryptograPHP/language/fa_IR/plugin.lang.php	(revision 28370)
@@ -21,15 +21,15 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Captcha theme'] = 'پوسته کد امنیتی';
-$lang['Invalid Captcha'] = 'کد امنیتی نامعتبر است';
+$lang['Captcha theme'] = 'پوسته‌ی کپچا';
+$lang['Invalid Captcha'] = 'کپچا درست نیست';
 $lang['Text color'] = 'رنگ متن';
 $lang['random'] = 'تصادفی';
-$lang['Album comments'] = 'نظرات آلبوم';
+$lang['Album comments'] = 'دیدگاه‌های آلبوم';
 $lang['Background color'] = 'رنگ پس زمینه';
 $lang['Button color'] = 'رنگ دکمه';
-$lang['Picture comments'] = 'نظرات عکس';
+$lang['Picture comments'] = 'دیدگاه‌های عکس';
 $lang['Random string'] = 'متن نصادفی';
-$lang['Register form'] = 'فرم ثبت نام';
-$lang['Preview'] = 'نمایش';
+$lang['Register form'] = 'فرم نام نویسی';
+$lang['Preview'] = 'پیش نمایش';
 $lang['Code lenght'] = 'طول کد';
 $lang['Contact form'] = 'فرم تماس';
@@ -38,22 +38,22 @@
 $lang['Moderate'] = 'مدیریت';
 $lang['Activate on'] = 'فعال در';
-$lang['Captcha type'] = 'نوع  کپتچا';
-$lang['Case sensitive'] = 'حساسیت';
-$lang['Comments action'] = 'دیدگاه فعال';
+$lang['Captcha type'] = 'نوع  کپچا';
+$lang['Case sensitive'] = 'حساسیت به بزرگی و کوچکی حروف';
+$lang['Comments action'] = 'کار دیدگاه';
 $lang['Guestbook'] = 'کتاب مهمان';
-$lang['Lines color'] = 'خط رنگ';
-$lang['Lines density'] = 'خط تراکمی';
+$lang['Lines color'] = 'رنگ خطوط';
+$lang['Lines density'] = 'وضوح خطوط';
 $lang['Noise color'] = 'رنگ نویز';
 $lang['Noise level'] = 'سطح نویز';
-$lang['Perturbation'] = 'اشفتگی';
-$lang['Simple equation'] = 'نمونه معادله';
-$lang['Solve equation'] = 'معادله حل کردنی';
-$lang['Tip: type "random" on a color field to have a random color'] = 'نکته:نوع راندومی  فیلد های رنگی موجود راندمی دارای رنگ راندومی هستن  ';
-$lang['good value:'] = 'ارزش گذاری صحیح:';
-$lang['range:'] = 'محدوده';
-$lang['Background'] = 'پس زمین';
-$lang['Background image'] = 'پس زمینه عکس';
+$lang['Perturbation'] = 'بهم ریختگی';
+$lang['Simple equation'] = 'جمع و تفریقِ ساده';
+$lang['Solve equation'] = 'معادله را حل کنید';
+$lang['Tip: type "random" on a color field to have a random color'] = 'نکته: در فیلد رنگ واژه‌ی "random" (تصادفی) را تایپ کنید تا رنگ‌ها، تصادفی انتخاب شوند';
+$lang['good value:'] = 'مقدار خوب:';
+$lang['range:'] = 'محدوده:';
+$lang['Background'] = 'پس زمینه';
+$lang['Background image'] = 'عکس پس زمینه';
 $lang['Color'] = 'رنگ';
 $lang['Image'] = 'عکس';
-$lang['We detected that EasyCaptcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'متوجه شدهایم، که پلاگین EasyCaptcha در گالری خود در دسترس است. هر دو پلاگین را می توان در همان زمان استفاده می شود، اما شما نباید را تحت هیچ شرایطی  هر دو آنها را در همان صفحه فعال کنید.';
-?>
+$lang['We detected that EasyCaptcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'ما متوجه شده‌ایم که افزونه‌ی EasyCaptcha در گالری شما نصب شده است. هر دو افزونه را می‌توانید همان زمان بکار نصب داشته باشید، ولی تحت هیچ شرایطی نباید هر دوی آنها را در یک برگه فعال کنید.';
+$lang['Only for unauthenticated users'] = 'تنها برای کاربران غیر مجاز';