Index: trunk/plugins/TakeATour/language/en_UK/plugin.lang.php
===================================================================
--- trunk/plugins/TakeATour/language/en_UK/plugin.lang.php	(revision 28391)
+++ trunk/plugins/TakeATour/language/en_UK/plugin.lang.php	(revision 28393)
@@ -97,3 +97,39 @@
 $lang['first_contact_title43'] = 'It\'s been a great time';
 $lang['first_contact_stp43'] = 'This tour was quite long, but we only have seen a small part of how powerful Piwigo is. Everything has a end, this overview is finished.<br>You can discover much deeper the features of Piwigo by taking an other tour or reading our documentation, on the piwigo.org website.';
+
+
+$lang['2.7 Tour'] = '2.7 Tour';
+$lang['2_7_0_descrp'] = 'Discover What\'s New in Piwigo 2.7';
+$lang['2_7_0_title1'] = 'Welcome in Piwigo 2.7';
+$lang['2_7_0_stp1'] = 'Hello! I will be your guide to discover Piwigo. Please follow my instructions, and click Next (or use the arrows of your keyboard) to navigate. If you go to an other page, you will be redirected to the current page of the Tour.';
+$lang['2_7_0_title2'] = 'First new feature';
+$lang['2_7_0_stp2'] = 'As you can see, a new default plugin has been added: Take A Tour. This plugin helps you to discover your Piwigo. Here is where are listed all the available tours.<br>This page is available in <em>Plugins » Take A Tour</em>';
+$lang['2_7_0_title3'] = 'Quick Search';
+$lang['2_7_0_stp3'] = 'The quick search has been reworked:<br>
+- add OR operator<br>
+- allow grouping using brackets ()<br>
+- add namespace search like:<br>
+ * #snow - searches only tag names for snow<br>
+ * ratio:0.9..1.1 - searches photos with width/height ratio between 0.9 and 1.1 (almost squares)<br>
+ * hits:>10 - searches photos with number of visits >10<br>
+ * size:>10mp - searches photos where width*height > 10 mega pixels<br>
+ * file:.jpg - only jpg images<br>
+- use singular/plural inflections (English/french only for now)<br>';
+$lang['2_7_0_title4'] = '';
+$lang['2_7_0_stp4'] = '';
+$lang['2_7_0_title5'] = '';
+$lang['2_7_0_stp5'] = '';
+$lang['2_7_0_title6'] = '';
+$lang['2_7_0_stp6'] = '';
+$lang['2_7_0_title7'] = '';
+$lang['2_7_0_stp7'] = '';
+$lang['2_7_0_title8'] = '';
+$lang['2_7_0_stp8'] = '';
+$lang['2_7_0_title9'] = '';
+$lang['2_7_0_stp9'] = '';
+$lang['2_7_0_title10'] = '';
+$lang['2_7_0_stp10'] = '';
+$lang['2_7_0_title11'] = 'See you soon!';
+$lang['2_7_0_stp11'] = 'This tour is over.<p style="text-align:center">Enjoy your Piwigo 2.7!</p>If you like Piwigo and want to support us, you can contribute by helping for translations, donating, etc. <a href="http://piwigo.org/basics/contribute" target="_blank">Click here to support us</a>';
+
 ?>
Index: trunk/plugins/TakeATour/tours/2_7_0/config.inc.php
===================================================================
--- trunk/plugins/TakeATour/tours/2_7_0/config.inc.php	(revision 28393)
+++ trunk/plugins/TakeATour/tours/2_7_0/config.inc.php	(revision 28393)
@@ -0,0 +1,3 @@
+<?php
+
+?>
Index: trunk/plugins/TakeATour/tours/2_7_0/config_preparse.inc.php
===================================================================
--- trunk/plugins/TakeATour/tours/2_7_0/config_preparse.inc.php	(revision 28393)
+++ trunk/plugins/TakeATour/tours/2_7_0/config_preparse.inc.php	(revision 28393)
@@ -0,0 +1,3 @@
+<?php
+  $template->assign('TAT_index', make_index_url(array('section' => 'categories')));
+?>
Index: trunk/plugins/TakeATour/tours/2_7_0/tour.tpl
===================================================================
--- trunk/plugins/TakeATour/tours/2_7_0/tour.tpl	(revision 28393)
+++ trunk/plugins/TakeATour/tours/2_7_0/tour.tpl	(revision 28393)
@@ -0,0 +1,86 @@
+{footer_script require='jquery.bootstrap-tour'}{literal}
+
+var tour = new Tour({
+  name: "2_7_0",
+  orphan: true,
+  onEnd: function (tour) {window.location = "admin.php?page=plugin-TakeATour&tour_ended=2_7_0"},
+  template: "<div class='popover'>          <div class='arrow'></div>          <h3 class='popover-title'></h3>          <div class='popover-content'></div>          <div class='popover-navigation'>            <div class='btn-group'>              <button class='btn btn-sm btn-default' data-role='prev'>&laquo; {/literal}{'Prev'|@translate|@escape:'javascript'}{literal}</button>              <button class='btn btn-sm btn-default' data-role='next'>{/literal}{'Next '|@translate|@escape:'javascript'}{literal} &raquo;</button>            </div>            <button class='btn btn-sm btn-default' data-role='end'>{/literal}{'End tour'|@translate|@escape:'javascript'}{literal}</button>          </div>        </div>",
+});
+{/literal}{if $TAT_restart}tour.restart();{/if}{literal}
+
+tour.addSteps([
+  {
+    path: "{/literal}{$TAT_path}{literal}admin.php",
+    title: "{/literal}{'2_7_0_title1'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'2_7_0_stp1'|@translate|@escape:'javascript'}{literal}"
+  },
+  {
+    path: "{/literal}{$TAT_path}{literal}admin.php?page=plugin-TakeATour",
+    placement: "left",
+    element: "#content",
+    title: "{/literal}{'2_7_0_title2'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'2_7_0_stp2'|@translate|@escape:'javascript'}{literal}",
+  },
+  {
+    path: "{/literal}{$TAT_path}{$TAT_index}{literal}",
+    placement: "right",
+    element: "#qsearchInput",
+    title: "{/literal}{'2_7_0_title3'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'2_7_0_stp3'|@translate|@escape:'javascript'}{literal}",
+  },
+  {
+    path: "{/literal}{$TAT_path}{literal}admin.php?page=plugin-TakeATour",
+    content: "{/literal}{'2_7_0_stp4'|@translate|@escape:'javascript'}{literal}"
+  },
+  {//5
+    path: "{/literal}{$TAT_path}{literal}admin.php?page=plugin-TakeATour",
+    title: "{/literal}{'2_7_0_title5'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'2_7_0_stp5'|@translate|@escape:'javascript'}{literal}"
+  },
+  {
+    path: "{/literal}{$TAT_path}{literal}admin.php?page=plugin-TakeATour",
+    title: "{/literal}{'2_7_0_title6'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'2_7_0_stp6'|@translate|@escape:'javascript'}{literal}"
+  },
+  {
+    path: "{/literal}{$TAT_path}{literal}admin.php?page=plugin-TakeATour",
+    title: "{/literal}{'2_7_0_title7'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'2_7_0_stp7'|@translate|@escape:'javascript'}{literal}",
+    prev:4
+  },
+  {
+    path: "{/literal}{$TAT_path}{literal}admin.php?page=plugin-TakeATour",
+    title: "{/literal}{'2_7_0_title8'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'2_7_0_stp8'|@translate|@escape:'javascript'}{literal}",
+    prev:4
+  },
+  {
+    path: "{/literal}{$TAT_path}{literal}admin.php?page=plugin-TakeATour",
+    title: "{/literal}{'2_7_0_title9'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'2_7_0_stp9'|@translate|@escape:'javascript'}{literal}"
+  },
+  {//10
+    path: "{/literal}{$TAT_path}{literal}admin.php?page=plugin-TakeATour",
+    title: "{/literal}{'2_7_0_title10'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'2_7_0_stp10'|@translate|@escape:'javascript'}{literal}"
+  },
+  {
+    path: "{/literal}{$TAT_path}{literal}admin.php?page=plugin-TakeATour",
+    title: "{/literal}{'2_7_0_title11'|@translate|@escape:'javascript'}{literal}",
+    content: "{/literal}{'2_7_0_stp11'|@translate|@escape:'javascript'}{literal}"
+  }
+]);
+
+// Initialize the tour
+tour.init();
+
+// Start the tour
+tour.start();
+
+jQuery( "input[class='submit']" ).click(function() {
+  if (tour.getCurrentStep()==5)
+  {
+    tour.goTo(6);
+  }
+});
+{/literal}{/footer_script}
Index: trunk/plugins/TakeATour/tpl/admin.tpl
===================================================================
--- trunk/plugins/TakeATour/tpl/admin.tpl	(revision 28391)
+++ trunk/plugins/TakeATour/tpl/admin.tpl	(revision 28393)
@@ -15,3 +15,14 @@
   </fieldset>
   {/if}
+  {if !isset($TAT_tour_ignored) or (isset($TAT_tour_ignored) and in_array(2_7_0, $TAT_tour_ignored))}
+  <fieldset>
+    <legend>{'2.7 Tour'|@translate}</legend>
+    <div class="TAT_description">{'2_7_0_descrp'|@translate}</div>
+    <form action="{$F_ACTION}" method="post">
+      <input type="hidden" name="submited_tour" value="2_7_0">
+      <input type="hidden" name="pwg_token" value="{$pwg_token}">
+      <input type="submit" name="button2" id="button2" value="{'Start the Tour'|@translate}">
+    </form>
+  </fieldset>
+  {/if}
 </div>