Index: /extensions/modus/admin/admin.inc.php
===================================================================
--- /extensions/modus/admin/admin.inc.php	(revision 28442)
+++ /extensions/modus/admin/admin.inc.php	(revision 28443)
@@ -26,4 +26,10 @@
 	foreach ($bool_values as $k )
 		$my_conf[$k] = isset($_POST[$k]) ? true:false;
+  
+  if (!isset($_POST['use_album_square_thumbs']))
+  {
+    $my_conf['album_thumb_size'] = 0;
+  }
+  
 	// int/double
 	$my_conf['album_thumb_size'] = max(0, $my_conf['album_thumb_size']);
@@ -32,5 +38,5 @@
 
 	global $page;
-	$page['infos'][] = 'options saved !';
+  $page['infos'][] = l10n('Information data registered in database');
 }
 
@@ -43,4 +49,12 @@
 foreach ($bool_values as $k )
   $template->assign( strtoupper($k), $my_conf[$k] );
+
+// we don't use square thumbs if the thumb size is 0
+$template->assign('use_album_square_thumbs', 0 != $my_conf['album_thumb_size']);
+
+if (0 == $my_conf['album_thumb_size'])
+{
+  $template->assign('ALBUM_THUMB_SIZE', 250);
+}
 
 $available_derivatives = array( ''=> 'Default');
Index: /extensions/modus/admin/modus_admin.tpl
===================================================================
--- /extensions/modus/admin/modus_admin.tpl	(revision 28442)
+++ /extensions/modus/admin/modus_admin.tpl	(revision 28443)
@@ -1,5 +1,57 @@
+{combine_script id='common' load='footer' path='admin/themes/default/js/common.js'}
+{combine_script id='jquery.ui.slider' require='jquery.ui' load='footer' path='themes/default/js/ui/minified/jquery.ui.slider.min.js'}
+{combine_css path="themes/default/js/ui/theme/jquery.ui.slider.css"}
+
+{html_style}
+.graphicalCheckbox {
+  font-size:16px;
+  line-height:16px;
+}
+
+.graphicalCheckbox + input {
+  display:none;
+}
+
+#album_thumb_size {
+  width:400px;
+  display:inline-block;
+  margin-right:10px;
+}
+
+#album_square_thumbs {
+  margin-top:5px;
+}
+{/html_style}
+
+
+{footer_script}
+jQuery(document).ready(function() {
+  jQuery('#modus-config input[type=checkbox]').change(function() {
+    jQuery(this).prev().toggleClass('icon-check icon-check-empty');
+  });
+
+  jQuery('input[name=use_album_square_thumbs]').change(function() {
+    jQuery('#album_square_thumbs').toggle();
+  });
+
+  jQuery("#album_thumb_size").slider({
+    range: "min",
+    min: 200,
+    max: 400,
+    value: {$ALBUM_THUMB_SIZE},
+    slide: function( event, ui ) {
+      jQuery("#album_thumb_size_info").html(sprintf("{'%d pixels'|translate}", ui.value));
+    },
+    stop: function( event, ui ) {
+      jQuery("input[name=album_thumb_size]").val(ui.value);
+    }
+  });
+
+});
+{/footer_script}
+
 <h2>Modus theme config</h2>
 
-<form method="post" action="">
+<form method="post" action="" id="modus-config">
 
 
@@ -11,5 +63,16 @@
 
 <fieldset><legend>Album thumbs size</legend>
-Use square thumbs of <input type="text" size="4" name="album_thumb_size" value="{$ALBUM_THUMB_SIZE}"> pixels. (Leave 0 for default theme presentation)
+  <label>
+    <span class="graphicalCheckbox icon-check{if not $use_album_square_thumbs}-empty{/if}"></span>
+    <input type="checkbox" name="use_album_square_thumbs"{if $use_album_square_thumbs} checked="checked"{/if}>
+    <b>{'Use square thumbs'|translate}</b>
+  </label>
+
+  <div id="album_square_thumbs"{if not $use_album_square_thumbs} style="display:none"{/if}>
+    <div id="album_thumb_size"></div>
+    <span id="album_thumb_size_info">{'%d pixels'|translate|sprintf:$ALBUM_THUMB_SIZE}</span>
+    <input type="hidden" name="album_thumb_size" value="{$ALBUM_THUMB_SIZE}">
+  </div>
+
 </fieldset>
 
@@ -34,6 +97,6 @@
 </fieldset>
 
-<p>
-<input type="submit" value="Submit" />
+<p class="formButtons">
+<input type="submit" value="{'Save Settings'|translate}" />
 </p>
 </form>
Index: /extensions/modus/functions.inc.php
===================================================================
--- /extensions/modus/functions.inc.php	(revision 28442)
+++ /extensions/modus/functions.inc.php	(revision 28443)
@@ -18,5 +18,5 @@
   return array(
 	'skin' => 'dark',
-	'album_thumb_size' => 0,
+	'album_thumb_size' => 250,
   'index_photo_deriv'=>'',
   'index_photo_deriv_hdpi'=>'',